# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
  {
   "key":"{5C39608C-6AFB-484F-BED4-3D16158CC19E}_is1",
   "name":"Encrypto version 1.0.1",
   "version":"1.0.1",
   "install_date":"2024-09-17 00:00:00",
   "install_location":"C:\\Program Files\\Encrypto\\",
   "uninstall_string":"\"C:\\Program Files\\Encrypto\\unins000.exe\"",
   "publisher":"MacPaw, Inc.",
   "system_component":0,
   "win64":true
  }
 ]
}

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables

    # Installing the software
    print("Installing: EncryptoforWin.exe")
    install_exe_if_needed('EncryptoforWin.exe',
        silentflags='/VERYSILENT /SUPPRESSMSGBOXES /NORESTART',
        key='{5C39608C-6AFB-484F-BED4-3D16158CC19E}_is1',
        min_version=control.get_software_version(),
    )



